var pagina_atual = 'home';
var db;

var adUnit = "ca-app-pub-3454733032130094/9707866163";
var adUnitFullScreen = "ca-app-pub-3454733032130094/2184599363";
var isOverlap = true; //true: overlap, false: split
var isTest = false;
document.addEventListener("deviceready", function(){
    window.admob.setUp(adUnit, adUnitFullScreen, isOverlap, isTest);
    window.admob.preloadBannerAd();
    window.admob.showBannerAd('bottom-center', 'SMART_BANNER');
    document.addEventListener("backbutton", botao_voltar, false);
});

$(function(){
	$('.voltar').hide();
	$('.icon-home').hide();
	home();
	console.log(db);

	$(document).on('click', '#corpos_celestes', function(){
		carrega_pagina('corpos_celestes');
	});
	$(document).on('click', '#sondas_espaciais', function(){
		carrega_pagina('sondas_espaciais');
	});
	$(document).on('click', '#acontecimentos_historicos', function(){
		carrega_pagina('acontecimentos_historicos');
	});
	$(document).on('click', '#calendario_astronomico_2015', function(){
		carrega_pagina('calendario_astronomico_2015');
	});
	$(document).on('click', '#personalidades_importantes', function(){
		carrega_pagina('personalidades_importantes');
	});
	$(document).on('click', '#curiosidades', function(){
		carrega_pagina('curiosidades');
	});
	$(document).on('click', '.pagina', function(){
		carrega_pagina($(this).attr('data-pagina'));
	});
	$(document).on('click', '.icon-home', function(){
		home();
		$('.voltar').hide();
		$('.icon-home').hide();
	});
	$(document).on('click', '.voltar', function(){
		botao_voltar();
	});
});

function home(){
	pagina_atual = 'home';
	var html = '<div class="card">\
					<ul class="table-view">\
						<li id="corpos_celestes" class="table-view-cell">\
							<a class="navigate-right">\
								Tipos de Corpos Celestes\
							</a>\
						</li>\
						<li id="corpos_celestes" class="table-view-cell esconder">\
							<a class="navigate-right">\
								Favoritos\
							</a>\
						</li>\
						<li id="sondas_espaciais" class="table-view-cell">\
							<a class="navigate-right">\
								Sondas Espaciais\
							</a>\
						</li>\
						<li class="table-view-cell esconder">\
							<a class="navigate-right">\
								Leis\
							</a>\
						</li>\
						<li class="table-view-cell esconder">\
							<a class="navigate-right">\
								Teorias\
							</a>\
						</li>\
						<li id="calendario_astronomico_2015" class="table-view-cell">\
							<a class="navigate-right">\
								Calendário astronomico 2015\
							</a>\
						</li>\
						<li id="acontecimentos_historicos" class="table-view-cell">\
							<a class="navigate-right">\
								Acontecimentos históricos\
							</a>\
						</li>\
						<li id="curiosidades" class="table-view-cell">\
							<a class="navigate-right">\
								Curiosidades\
							</a>\
						</li>\
						<li id="personalidades_importantes" class="table-view-cell">\
							<a class="navigate-right">\
								Personalidades importantes\
							</a>\
						</li>\
					</ul>\
				</div>';
	$('.content').html(html);
}

function carrega_pagina(pagina){
	pagina_atual = pagina;
	var html = '<div class="card">\
					<ul class="table-view">\
						<li class="table-view-cell titulo">\
							'+db[pagina].titulo+'\
						</li>\
					</ul>\
				</div>';
	if(db[pagina].imagem != ''){
		html = html + '<img class="imagem" src="img/'+db[pagina].imagem+'">';
	}
	html = html + '<p class="descricao">'+db[pagina].descricao+'</p>';
	$('.content').html(html);
	if(db[pagina].pagina != ''){
		html = html + '<h4>Sub itens</h4>\
						<div class="card">\
							<ul class="table-view">';
		for (var i = db[pagina].pagina.length - 1; i >= 0; i--) {
			html = html + '<li class="table-view-cell pagina" data-pagina="'+db[pagina].pagina[i]+'">\
								<a class="navigate-right">\
									'+db[db[pagina].pagina[i]].titulo+'\
								</a>\
							</li>';
		};
						
		html = html + '</ul>\
					</div>';
	}
	$('.content').html(html);
	$('.voltar').attr('data-voltar',db[pagina].voltar).show();
	$('.icon-home').show();
	$('.content').animate({scrollTop: 0},0);
}

function botao_voltar(){
	if(pagina_atual != "home"){
		if($('.voltar').attr('data-voltar') != "home"){
			carrega_pagina($('.voltar').attr('data-voltar'));
		}
		else{
			home();
			$('.voltar').hide();
			$('.icon-home').hide();
		}
	}
}